### Property

# Tsparql Endpoint:readonly

since: 3.7

#### Declaration

    property readonly: gboolean [ read, write ]

#### Description [src]

Whether the endpoint allows SPARQL updates or not. See tracker_endpoint_set_readonly().

Type:`gboolean`

Available since: 3.7

Default value | FALSE
Getter method | `tracker_endpoint_get_readonly()`
Setter method | `tracker_endpoint_set_readonly()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no